package com.sunxung.factoring.entity.supplier;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.sys.FileStorage;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 视频尽调-企业财务
 * </p>
 *
 * @author liutao
 * @since 2023-12-09
 */
@TableName("video_due_diligence_finance")
public class VideoDueDiligenceFinance {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 视频尽调id
     */
    @TableField("video_due_diligence_id")
    private Long videoDueDiligenceId;

    /**
     * 主营业务收入
     */
    @TableField("main_business_income")
    private BigDecimal mainBusinessIncomeFix;

    /**
     * 主营业务成本
     */
    @TableField("main_business_cost")
    private BigDecimal mainBusinessCostFix;

    /**
     * 毛利率
     */
    @TableField("main_business_profit")
    private BigDecimal mainBusinessProfitFix;

    /**
     * 主营业务收入得分
     */
    @TableField("main_business_income_score")
    private BigDecimal mainBusinessIncomeScore;

    /**
     * 毛利率得分
     */
    @TableField("main_business_profit_score")
    private BigDecimal mainBusinessProfitScore;

    /**
     * 问题
     */
    @TableField("question")
    private String question;

    /**
     * 反馈
     */
    @TableField("feedback")
    private String feedback;

    /**
     * 文件
     */
    @TableField(exist = false)
    private List<Long> fileIds;

    /**
     * 文件
     */
    @TableField(exist = false)
    private List<FileStorage> files;

    public List<Long> getFileIds() {
        return fileIds;
    }

    public void setFileIds(List<Long> fileIds) {
        this.fileIds = fileIds;
    }

    public List<FileStorage> getFiles() {
        return files;
    }

    public void setFiles(List<FileStorage> files) {
        this.files = files;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public BigDecimal getMainBusinessIncomeScore() {
        return mainBusinessIncomeScore;
    }

    public void setMainBusinessIncomeScore(BigDecimal mainBusinessIncomeScore) {
        this.mainBusinessIncomeScore = mainBusinessIncomeScore;
    }

    public BigDecimal getMainBusinessProfitScore() {
        return mainBusinessProfitScore;
    }

    public void setMainBusinessProfitScore(BigDecimal mainBusinessProfitScore) {
        this.mainBusinessProfitScore = mainBusinessProfitScore;
    }

    public Long getVideoDueDiligenceId() {
        return videoDueDiligenceId;
    }

    public void setVideoDueDiligenceId(Long videoDueDiligenceId) {
        this.videoDueDiligenceId = videoDueDiligenceId;
    }

    public BigDecimal getMainBusinessIncomeFix() {
        return mainBusinessIncomeFix;
    }

    public void setMainBusinessIncomeFix(BigDecimal mainBusinessIncomeFix) {
        this.mainBusinessIncomeFix = mainBusinessIncomeFix;
    }

    public BigDecimal getMainBusinessCostFix() {
        return mainBusinessCostFix;
    }

    public void setMainBusinessCostFix(BigDecimal mainBusinessCostFix) {
        this.mainBusinessCostFix = mainBusinessCostFix;
    }

    public BigDecimal getMainBusinessProfitFix() {
        return mainBusinessProfitFix;
    }

    public void setMainBusinessProfitFix(BigDecimal mainBusinessProfitFix) {
        this.mainBusinessProfitFix = mainBusinessProfitFix;
    }

    public String getQuestion() {
        return question;
    }

    public void setQuestion(String question) {
        this.question = question;
    }
    public String getFeedback() {
        return feedback;
    }

    public void setFeedback(String feedback) {
        this.feedback = feedback;
    }

}
